@font-face {
  font-family: 'Lazydog';
  src: url(Fonts/Bobby.html\ Jones\ Soft.otf);
}

@font-face {
  font-family: 'IsamiRi Display'; 
  src: url(../fonts/IsamiRiDisplay-Bold.woff2) format('woff2');
}

@font-face {
  font-family: 'IsamiRi Display Regular'; 
  src: url(../fonts/IsamiRiDisplay-Regular.woff2) format('woff2');
}

body {
  font-family:"Lazydog" ;
  background-color: #ffefe9;

  padding-top: 30px;
  font-family: "Lazydog", serif;
  text-transform: uppercase;
}

p {
  margin: 0;
}



.top {
  display: flex;
  justify-content: space-between;
  padding: 20px 0;
}
.top .top_l {
  width: 70px;
  height: 70px;
  overflow: hidden;
  border-radius: 50%;
  border: 4px solid #260000;
}


.top_r {
  text-decoration: none;
  font-family: 'IsamiRi Display Regular';
  color: #260000;
}

.botao {
  text-decoration: none;
  color: #260000;
}

.botao:hover{
  color: #706262;
}

.top .top_l img {
  width: 100%;
}

.options {
  
  font-family: 'IsamiRi Display Regular';
  color: #260000;
}

.top_l:hover{
  transform: scale(1.1);
  overflow: hidden;
}
.animate {
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: #260000;
  color: #ffffff;
  font-family: 'IsamiRi Display';
  text-align: center;
  margin-bottom: 50px;

  
}
.animated-title {
  display: inline-block;
  animation: bounceZoom 6s infinite;
  text-align: center;
  display: inline-flex;
  align-items: center;
}

@keyframes bounceZoom {
  0% {
    transform: translateY(0) scale(1);
  }
  25% {
    transform: translateY(10px) scale(1);
  }
  50% {
    transform: translateY(-10px) scale(1);
  }
  75% {
    transform: scale(0.9);
  }
  100% {
    transform: translateY(0) scale(1);
  }
}

.meme-container {
  position: relative;
  width: 390px;
  height: 390px;
  border: 6px solid #111116;
  border-radius: 20px;
  margin-bottom: 20px;
}

.meme_r {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.meme_r .buttons {
  display: flex;
  flex-direction: column;
}
.meme_r button {
  width: 390px;
  background-color: #F19C7E;
  border: 5px solid #260000;
  padding: 16px;
  border-radius: 40px;
  text-transform: uppercase;

  
  font-family: 'IsamiRi Display Regular';
  color: #ffffff;
  font-weight: 800;
  font-size: 20px;
  line-height: 28px;
  margin: 5px 0;
  
  transition: all 0.4s ease-in-out;
}
.meme_r button svg {
  margin-right: 15px;
}
.meme_r button:hover {
  transform: scale(0.94);
}


.meme-container img {
  position: absolute;
  width: 100%;
  height: auto;
  border-radius: 10px;
  left: 0;
  top: 0;
}

.meme-background {
  z-index: 0;
}

.meme-phone {
  z-index: 1;
  top: 20%;
  left: 25%;
  width: 50%;
}

.meme-eyes {
  z-index: 2;
  top: 35%;
  left: 33%;
  width: 34%;
}


.meme-hat {
  z-index: 4;
  top: 5%;
  left: 25%;
  width: 50%;
}



.meme-clothes {
  z-index: 3;
  bottom: 0;
  left: 25%;
  width: 50%;
}
.meme-front {
  z-index: 6;
  left: 10%;
  width: 40%;
}


.controls {
  margin-top: 5%;
  margin-bottom: 20px;
  text-align: left;
  
  
}

.controls-container {
  display: flex; 
  flex-direction: column;  
  align-items: center;
}

.control-group {
  display: flex;
  flex-direction: column;
  text-align: left;
  margin-bottom: 30px;
}

.scroll-container {
  display: flex;
  align-items: center;
}

.scroll-btn {
  cursor: pointer;
  height: 80px;
  padding: 10px;
  border-radius: 10px;
  background-color: #F19C7E;
  border: 2px solid #260000;
}

.scroll-btn:hover {
  background-color: #F19C7E;
}
.image-gallery {
  display: flex;
  overflow: hidden;
  width: 500px;
  gap: 5px;
  padding: 0 20px;
  /* margin: 20px 0; */
}

.image-gallery .none_bg,
.image-gallery img {
  width: 80px;
  height: 80px;
  cursor: pointer;
  border-radius: 10px;
  border: 1px solid #260000;
  margin-right: 5px;
}
.image-gallery .none_bg img {
  width: 20px;
}

.titulo {
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: #260000;
  color: #ffffff;
  font-family: 'IsamiRi Display';
}

.image-gallery .none_bg {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 80px !important;
}
.image-gallery .none_bg.selected,
.image-gallery img.selected {
  border: 3px solid #260000;
  background-color: #F19C7E;
}

.image-gallery .none_bg.selected {
  width: 80px !important;
}

.buttons {
  display: flex;
  gap: 10px;
}

button {
  padding: 10px 20px;
  cursor: pointer;
}

@media (max-width: 576px) {
  .controls {
    width: 100%;
    border: none;
  }
}
